/**
 * @license React
 * react-dom-server-legacy.node.production.min.js
 *
 * Copyright (c) Meta Platforms, Inc. and affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
/*


 JS Implementation of MurmurHash3 (r136) (as of May 20, 2011)

 Copyright (c) 2011 Gary Court
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 SOFTWARE.
*/
'use strict';var aa=require("react"),ba=require("react-dom"),da=require("stream");
function ha(a,b){var c=a.length&3;var d=a.length-c;var e=b;for(b=0;b<d;){var f=a.charCodeAt(b)&255|(a.charCodeAt(++b)&255)<<8|(a.charCodeAt(++b)&255)<<16|(a.charCodeAt(++b)&255)<<24;++b;f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295;f=f<<15|f>>>17;f=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295;e^=f;e=e<<13|e>>>19;e=5*(e&65535)+((5*(e>>>16)&65535)<<16)&4294967295;e=(e&65535)+27492+(((e>>>16)+58964&65535)<<16)}f=0;switch(c){case 3:f^=(a.charCodeAt(b+2)&255)<<
16;case 2:f^=(a.charCodeAt(b+1)&255)<<8;case 1:f^=a.charCodeAt(b)&255,f=3432918353*(f&65535)+((3432918353*(f>>>16)&65535)<<16)&4294967295,f=f<<15|f>>>17,e^=461845907*(f&65535)+((461845907*(f>>>16)&65535)<<16)&4294967295}e^=a.length;e^=e>>>16;e=2246822507*(e&65535)+((2246822507*(e>>>16)&65535)<<16)&4294967295;e^=e>>>13;e=3266489909*(e&65535)+((3266489909*(e>>>16)&65535)<<16)&4294967295;return(e^e>>>16)>>>0}
var r=Object.assign,u=Object.prototype.hasOwnProperty,ia=RegExp("^[:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD][:A-Z_a-z\\u00C0-\\u00D6\\u00D8-\\u00F6\\u00F8-\\u02FF\\u0370-\\u037D\\u037F-\\u1FFF\\u200C-\\u200D\\u2070-\\u218F\\u2C00-\\u2FEF\\u3001-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFFD\\-.0-9\\u00B7\\u0300-\\u036F\\u203F-\\u2040]*$"),ja={},ka={};
function va(a){if(u.call(ka,a))return!0;if(u.call(ja,a))return!1;if(ia.test(a))return ka[a]=!0;ja[a]=!0;return!1}
var wa=new Set("animationIterationCount aspectRatio borderImageOutset borderImageSlice borderImageWidth boxFlex boxFlexGroup boxOrdinalGroup columnCount columns flex flexGrow flexPositive flexShrink flexNegative flexOrder gridArea gridRow gridRowEnd gridRowSpan gridRowStart gridColumn gridColumnEnd gridColumnSpan gridColumnStart fontWeight lineClamp lineHeight opacity order orphans scale tabSize widows zIndex zoom fillOpacity floodOpacity stopOpacity strokeDasharray strokeDashoffset strokeMiterlimit strokeOpacity strokeWidth MozAnimationIterationCount MozBoxFlex MozBoxFlexGroup MozLineClamp msAnimationIterationCount msFlex msZoom msFlexGrow msFlexNegative msFlexOrder msFlexPositive msFlexShrink msGridColumn msGridColumnSpan msGridRow msGridRowSpan WebkitAnimationIterationCount WebkitBoxFlex WebKitBoxFlexGroup WebkitBoxOrdinalGroup WebkitColumnCount WebkitColumns WebkitFlex WebkitFlexGrow WebkitFlexPositive WebkitFlexShrink WebkitLineClamp".split(" ")),xa=
new Map([["acceptCharset","accept-charset"],["htmlFor","for"],["httpEquiv","http-equiv"],["crossOrigin","crossorigin"],["accentHeight","accent-height"],["alignmentBaseline","alignment-baseline"],["arabicForm","arabic-form"],["baselineShift","baseline-shift"],["capHeight","cap-height"],["clipPath","clip-path"],["clipRule","clip-rule"],["colorInterpolation","color-interpolation"],["colorInterpolationFilters","color-interpolation-filters"],["colorProfile","color-profile"],["colorRendering","color-rendering"],
["dominantBaseline","dominant-baseline"],["enableBackground","enable-background"],["fillOpacity","fill-opacity"],["fillRule","fill-rule"],["floodColor","flood-color"],["floodOpacity","flood-opacity"],["fontFamily","font-family"],["fontSize","font-size"],["fontSizeAdjust","font-size-adjust"],["fontStretch","font-stretch"],["fontStyle","font-style"],["fontVariant","font-variant"],["fontWeight","font-weight"],["glyphName","glyph-name"],["glyphOrientationHorizontal","glyph-orientation-horizontal"],["glyphOrientationVertical",
"glyph-orientation-vertical"],["horizAdvX","horiz-adv-x"],["horizOriginX","horiz-origin-x"],["imageRendering","image-rendering"],["letterSpacing","letter-spacing"],["lightingColor","lighting-color"],["markerEnd","marker-end"],["markerMid","marker-mid"],["markerStart","marker-start"],["overlinePosition","overline-position"],["overlineThickness","overline-thickness"],["paintOrder","paint-order"],["panose-1","panose-1"],["pointerEvents","pointer-events"],["renderingIntent","rendering-intent"],["shapeRendering",
"shape-rendering"],["stopColor","stop-color"],["stopOpacity","stop-opacity"],["strikethroughPosition","strikethrough-position"],["strikethroughThickness","strikethrough-thickness"],["strokeDasharray","stroke-dasharray"],["strokeDashoffset","stroke-dashoffset"],["strokeLinecap","stroke-linecap"],["strokeLinejoin","stroke-linejoin"],["strokeMiterlimit","stroke-miterlimit"],["strokeOpacity","stroke-opacity"],["strokeWidth","stroke-width"],["textAnchor","text-anchor"],["textDecoration","text-decoration"],
["textRendering","text-rendering"],["transformOrigin","transform-origin"],["underlinePosition","underline-position"],["underlineThickness","underline-thickness"],["unicodeBidi","unicode-bidi"],["unicodeRange","unicode-range"],["unitsPerEm","units-per-em"],["vAlphabetic","v-alphabetic"],["vHanging","v-hanging"],["vIdeographic","v-ideographic"],["vMathematical","v-mathematical"],["vectorEffect","vector-effect"],["vertAdvY","vert-adv-y"],["vertOriginX","vert-origin-x"],["vertOriginY","vert-origin-y"],
["wordSpacing","word-spacing"],["writingMode","writing-mode"],["xmlnsXlink","xmlns:xlink"],["xHeight","x-height"]]),ya=/["'&<>]/;
function v(a){if("boolean"===typeof a||"number"===typeof a)return""+a;a=""+a;var b=ya.exec(a);if(b){var c="",d,e=0;for(d=b.index;d<a.length;d++){switch(a.charCodeAt(d)){case 34:b="&quot;";break;case 38:b="&amp;";break;case 39:b="&#x27;";break;case 60:b="&lt;";break;case 62:b="&gt;";break;default:continue}e!==d&&(c+=a.slice(e,d));e=d+1;c+=b}a=e!==d?c+a.slice(e,d):c}return a}
var za=/([A-Z])/g,Fa=/^ms-/,Ga=Array.isArray,Ha=aa.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED,Ia={pending:!1,data:null,method:null,action:null},Ja=ba.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.Dispatcher,hb={prefetchDNS:Ka,preconnect:bb,preload:cb,preloadModule:db,preinitStyle:eb,preinitScript:fb,preinitModuleScript:gb},ib=[];
function jb(a,b){var c=0;void 0!==b&&(c=1);return{idPrefix:void 0===a?"":a,nextFormID:0,streamingFormat:c,instructions:0,hasBody:!1,hasHtml:!1,unknownResources:{},dnsResources:{},connectResources:{default:{},anonymous:{},credentials:{}},imageResources:{},styleResources:{},scriptResources:{},moduleUnknownResources:{},moduleScriptResources:{}}}function w(a,b,c){return{insertionMode:a,selectedValue:b,tagScope:c}}
function kb(a){return w("http://www.w3.org/2000/svg"===a?3:"http://www.w3.org/1998/Math/MathML"===a?4:0,null,0)}
function lb(a,b,c){switch(b){case "noscript":return w(2,null,a.tagScope|1);case "select":return w(2,null!=c.value?c.value:c.defaultValue,a.tagScope);case "svg":return w(3,null,a.tagScope);case "picture":return w(2,null,a.tagScope|2);case "math":return w(4,null,a.tagScope);case "foreignObject":return w(2,null,a.tagScope);case "table":return w(5,null,a.tagScope);case "thead":case "tbody":case "tfoot":return w(6,null,a.tagScope);case "colgroup":return w(8,null,a.tagScope);case "tr":return w(7,null,a.tagScope)}return 5<=
a.insertionMode?w(2,null,a.tagScope):0===a.insertionMode?"html"===b?w(1,null,a.tagScope):w(2,null,a.tagScope):1===a.insertionMode?w(2,null,a.tagScope):a}var mb=new Map;
function wb(a,b){if("object"!==typeof b)throw Error("The `style` prop expects a mapping from style properties to values, not a string. For example, style={{marginRight: spacing + 'em'}} when using JSX.");var c=!0,d;for(d in b)if(u.call(b,d)){var e=b[d];if(null!=e&&"boolean"!==typeof e&&""!==e){if(0===d.indexOf("--")){var f=v(d);e=v((""+e).trim())}else f=mb.get(d),void 0===f&&(f=v(d.replace(za,"-$1").toLowerCase().replace(Fa,"-ms-")),mb.set(d,f)),e="number"===typeof e?0===e||wa.has(d)?""+e:e+"px":
v((""+e).trim());c?(c=!1,a.push(' style="',f,":",e)):a.push(";",f,":",e)}}c||a.push('"')}function xb(a,b,c){c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""')}function D(a,b,c){"function"!==typeof c&&"symbol"!==typeof c&&"boolean"!==typeof c&&a.push(" ",b,'="',v(c),'"')}function yb(a){var b=a.nextFormID++;return a.idPrefix+b}var zb=v("javascript:throw new Error('A React form was unexpectedly submitted.')");
function Ab(a,b){this.push('<input type="hidden"');if("string"!==typeof a)throw Error("File/Blob fields are not yet supported in progressive forms. It probably means you are closing over binary data or FormData in a Server Action.");D(this,"name",b);D(this,"value",a);this.push("/>")}
function Bb(a,b,c,d,e,f,g,h){var k=null;"function"===typeof d&&("function"===typeof d.$$FORM_ACTION?(e=yb(b),b=d.$$FORM_ACTION(e),h=b.name,d=b.action||"",e=b.encType,f=b.method,g=b.target,k=b.data):(a.push(" ","formAction",'="',zb,'"'),g=f=e=d=h=null,Cb(b,c)));null!=h&&E(a,"name",h);null!=d&&E(a,"formAction",d);null!=e&&E(a,"formEncType",e);null!=f&&E(a,"formMethod",f);null!=g&&E(a,"formTarget",g);return k}
function E(a,b,c){switch(b){case "className":D(a,"class",c);break;case "tabIndex":D(a,"tabindex",c);break;case "dir":case "role":case "viewBox":case "width":case "height":D(a,b,c);break;case "style":wb(a,c);break;case "src":case "href":case "action":case "formAction":if(null==c||"function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;a.push(" ",b,'="',v(""+c),'"');break;case "defaultValue":case "defaultChecked":case "innerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":break;
case "autoFocus":case "multiple":case "muted":xb(a,b.toLowerCase(),c);break;case "xlinkHref":if("function"===typeof c||"symbol"===typeof c||"boolean"===typeof c)break;a.push(" ","xlink:href",'="',v(""+c),'"');break;case "contentEditable":case "spellCheck":case "draggable":case "value":case "autoReverse":case "externalResourcesRequired":case "focusable":case "preserveAlpha":"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',v(c),'"');break;case "allowFullScreen":case "async":case "autoPlay":case "controls":case "default":case "defer":case "disabled":case "disablePictureInPicture":case "disableRemotePlayback":case "formNoValidate":case "hidden":case "loop":case "noModule":case "noValidate":case "open":case "playsInline":case "readOnly":case "required":case "reversed":case "scoped":case "seamless":case "itemScope":c&&
"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'=""');break;case "capture":case "download":!0===c?a.push(" ",b,'=""'):!1!==c&&"function"!==typeof c&&"symbol"!==typeof c&&a.push(" ",b,'="',v(c),'"');break;case "cols":case "rows":case "size":case "span":"function"!==typeof c&&"symbol"!==typeof c&&!isNaN(c)&&1<=c&&a.push(" ",b,'="',v(c),'"');break;case "rowSpan":case "start":"function"===typeof c||"symbol"===typeof c||isNaN(c)||a.push(" ",b,'="',v(c),'"');break;case "xlinkActuate":D(a,"xlink:actuate",
c);break;case "xlinkArcrole":D(a,"xlink:arcrole",c);break;case "xlinkRole":D(a,"xlink:role",c);break;case "xlinkShow":D(a,"xlink:show",c);break;case "xlinkTitle":D(a,"xlink:title",c);break;case "xlinkType":D(a,"xlink:type",c);break;case "xmlBase":D(a,"xml:base",c);break;case "xmlLang":D(a,"xml:lang",c);break;case "xmlSpace":D(a,"xml:space",c);break;default:if(!(2<b.length)||"o"!==b[0]&&"O"!==b[0]||"n"!==b[1]&&"N"!==b[1])if(b=xa.get(b)||b,va(b)){switch(typeof c){case "function":case "symbol":return;
case "boolean":var d=b.toLowerCase().slice(0,5);if("data-"!==d&&"aria-"!==d)return}a.push(" ",b,'="',v(c),'"')}}}function F(a,b,c){if(null!=b){if(null!=c)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof b||!("__html"in b))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");b=b.__html;null!==b&&void 0!==b&&a.push(""+b)}}
function Db(a){var b="";aa.Children.forEach(a,function(c){null!=c&&(b+=c)});return b}
function Cb(a,b){0!==(a.instructions&16)||b.externalRuntimeScript||(a.instructions|=16,b.bootstrapChunks.unshift(b.startInlineScript,'addEventListener("submit",function(a){if(!a.defaultPrevented){var c=a.target,d=a.submitter,e=c.action,b=d;if(d){var f=d.getAttribute("formAction");null!=f&&(e=f,b=null)}"javascript:throw new Error(\'A React form was unexpectedly submitted.\')"===e&&(a.preventDefault(),b?(a=document.createElement("input"),a.name=b.name,a.value=b.value,b.parentNode.insertBefore(a,b),b=new FormData(c),a.parentNode.removeChild(a)):b=new FormData(c),a=c.getRootNode(),(a.$$reactFormReplay=a.$$reactFormReplay||[]).push(c,\nd,b))}});',"\x3c/script>"))}
function Eb(a,b,c,d,e,f,g){var h=b.rel,k=b.href,l=b.precedence;if(3===f||g||null!=b.itemProp||"string"!==typeof h||"string"!==typeof k||""===k)return J(a,b),null;if("stylesheet"===b.rel){if("string"!==typeof l||null!=b.disabled||b.onLoad||b.onError)return J(a,b);f=d.styles.get(l);g=c.styleResources.hasOwnProperty(k)?c.styleResources[k]:void 0;null!==g?(c.styleResources[k]=null,f||(f={precedence:v(l),rules:[],hrefs:[],sheets:new Map},d.styles.set(l,f)),b={state:0,props:r({},b,{"data-precedence":b.precedence,
precedence:null})},g&&(2===g.length&&Fb(b.props,g),(c=d.preloads.stylesheets.get(k))&&0<c.length?c.length=0:b.state=1),f.sheets.set(k,b),d.boundaryResources&&d.boundaryResources.stylesheets.add(b)):f&&(k=f.sheets.get(k))&&d.boundaryResources&&d.boundaryResources.stylesheets.add(k);e&&a.push("\x3c!-- --\x3e");return null}if(b.onLoad||b.onError)return J(a,b);e&&a.push("\x3c!-- --\x3e");switch(b.rel){case "preconnect":case "dns-prefetch":return J(d.preconnectChunks,b);case "preload":return J(d.preloadChunks,
b);default:return J(d.hoistableChunks,b)}}function J(a,b){a.push(K("link"));for(var c in b)if(u.call(b,c)){var d=b[c];if(null!=d)switch(c){case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:E(a,c,d)}}a.push("/>");return null}
function Gb(a,b,c){a.push(K(c));for(var d in b)if(u.call(b,d)){var e=b[d];if(null!=e)switch(d){case "children":case "dangerouslySetInnerHTML":throw Error(c+" is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");default:E(a,d,e)}}a.push("/>");return null}
function Hb(a,b){a.push(K("title"));var c=null,d=null,e;for(e in b)if(u.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:E(a,e,f)}}a.push(">");b=Array.isArray(c)?2>c.length?c[0]:null:c;"function"!==typeof b&&"symbol"!==typeof b&&null!==b&&void 0!==b&&a.push(v(""+b));F(a,d,c);a.push("</","title",">");return null}
function Ib(a,b){a.push(K("script"));var c=null,d=null,e;for(e in b)if(u.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:E(a,e,f)}}a.push(">");F(a,d,c);"string"===typeof c&&a.push(v(c));a.push("</","script",">");return null}
function Jb(a,b,c){a.push(K(c));var d=c=null,e;for(e in b)if(u.call(b,e)){var f=b[e];if(null!=f)switch(e){case "children":c=f;break;case "dangerouslySetInnerHTML":d=f;break;default:E(a,e,f)}}a.push(">");F(a,d,c);return"string"===typeof c?(a.push(v(c)),null):c}var Kb=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,Lb=new Map;function K(a){var b=Lb.get(a);if(void 0===b){if(!Kb.test(a))throw Error("Invalid tag: "+a);b="<"+a;Lb.set(a,b)}return b}
function Mb(a,b,c,d,e,f,g){switch(b){case "div":case "span":case "svg":case "path":case "a":case "g":case "p":case "li":break;case "select":a.push(K("select"));var h=null,k=null,l;for(l in c)if(u.call(c,l)){var p=c[l];if(null!=p)switch(l){case "children":h=p;break;case "dangerouslySetInnerHTML":k=p;break;case "defaultValue":case "value":break;default:E(a,l,p)}}a.push(">");F(a,k,h);return h;case "option":var q=f.selectedValue;a.push(K("option"));var m=null,A=null,y=null,P=null,t;for(t in c)if(u.call(c,
t)){var n=c[t];if(null!=n)switch(t){case "children":m=n;break;case "selected":y=n;break;case "dangerouslySetInnerHTML":P=n;break;case "value":A=n;default:E(a,t,n)}}if(null!=q){var x=null!==A?""+A:Db(m);if(Ga(q))for(var T=0;T<q.length;T++){if(""+q[T]===x){a.push(' selected=""');break}}else""+q===x&&a.push(' selected=""')}else y&&a.push(' selected=""');a.push(">");F(a,P,m);return m;case "textarea":a.push(K("textarea"));var B=null,G=null,H=null,z;for(z in c)if(u.call(c,z)){var X=c[z];if(null!=X)switch(z){case "children":H=
X;break;case "value":B=X;break;case "defaultValue":G=X;break;case "dangerouslySetInnerHTML":throw Error("`dangerouslySetInnerHTML` does not make sense on <textarea>.");default:E(a,z,X)}}null===B&&null!==G&&(B=G);a.push(">");if(null!=H){if(null!=B)throw Error("If you supply `defaultValue` on a <textarea>, do not pass children.");if(Ga(H)){if(1<H.length)throw Error("<textarea> can only have at most one child.");B=""+H[0]}B=""+H}"string"===typeof B&&"\n"===B[0]&&a.push("\n");null!==B&&a.push(v(""+B));
return null;case "input":a.push(K("input"));var Aa=null,Q=null,Y=null,I=null,U=null,O=null,La=null,Ma=null,Na=null,la;for(la in c)if(u.call(c,la)){var R=c[la];if(null!=R)switch(la){case "children":case "dangerouslySetInnerHTML":throw Error("input is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");case "name":Aa=R;break;case "formAction":Q=R;break;case "formEncType":Y=R;break;case "formMethod":I=R;break;case "formTarget":U=R;break;case "defaultChecked":Na=R;
break;case "defaultValue":La=R;break;case "checked":Ma=R;break;case "value":O=R;break;default:E(a,la,R)}}var nb=Bb(a,d,e,Q,Y,I,U,Aa);null!==Ma?xb(a,"checked",Ma):null!==Na&&xb(a,"checked",Na);null!==O?E(a,"value",O):null!==La&&E(a,"value",La);a.push("/>");null!==nb&&nb.forEach(Ab,a);return null;case "button":a.push(K("button"));var Z=null,ma=null,na=null,oa=null,Oa=null,pa=null,Cc=null,Pa;for(Pa in c)if(u.call(c,Pa)){var ca=c[Pa];if(null!=ca)switch(Pa){case "children":Z=ca;break;case "dangerouslySetInnerHTML":ma=
ca;break;case "name":na=ca;break;case "formAction":oa=ca;break;case "formEncType":Oa=ca;break;case "formMethod":pa=ca;break;case "formTarget":Cc=ca;break;default:E(a,Pa,ca)}}var Dc=Bb(a,d,e,oa,Oa,pa,Cc,na);a.push(">");null!==Dc&&Dc.forEach(Ab,a);F(a,ma,Z);if("string"===typeof Z){a.push(v(Z));var Ec=null}else Ec=Z;return Ec;case "form":a.push(K("form"));var Qa=null,Fc=null,ea=null,Ra=null,Sa=null,Ta=null,Ua;for(Ua in c)if(u.call(c,Ua)){var fa=c[Ua];if(null!=fa)switch(Ua){case "children":Qa=fa;break;
case "dangerouslySetInnerHTML":Fc=fa;break;case "action":ea=fa;break;case "encType":Ra=fa;break;case "method":Sa=fa;break;case "target":Ta=fa;break;default:E(a,Ua,fa)}}var Rb=null,Sb=null;if("function"===typeof ea)if("function"===typeof ea.$$FORM_ACTION){var ie=yb(d),Ba=ea.$$FORM_ACTION(ie);ea=Ba.action||"";Ra=Ba.encType;Sa=Ba.method;Ta=Ba.target;Rb=Ba.data;Sb=Ba.name}else a.push(" ","action",'="',zb,'"'),Ta=Sa=Ra=ea=null,Cb(d,e);null!=ea&&E(a,"action",ea);null!=Ra&&E(a,"encType",Ra);null!=Sa&&E(a,
"method",Sa);null!=Ta&&E(a,"target",Ta);a.push(">");null!==Sb&&(a.push('<input type="hidden"'),D(a,"name",Sb),a.push("/>"),null!==Rb&&Rb.forEach(Ab,a));F(a,Fc,Qa);if("string"===typeof Qa){a.push(v(Qa));var Gc=null}else Gc=Qa;return Gc;case "menuitem":a.push(K("menuitem"));for(var ob in c)if(u.call(c,ob)){var Hc=c[ob];if(null!=Hc)switch(ob){case "children":case "dangerouslySetInnerHTML":throw Error("menuitems cannot have `children` nor `dangerouslySetInnerHTML`.");default:E(a,ob,Hc)}}a.push(">");return null;
case "title":if(3===f.insertionMode||f.tagScope&1||null!=c.itemProp)var Ic=Hb(a,c);else Hb(e.hoistableChunks,c),Ic=null;return Ic;case "link":return Eb(a,c,d,e,g,f.insertionMode,!!(f.tagScope&1));case "script":var Tb=c.async;if("string"!==typeof c.src||!c.src||!Tb||"function"===typeof Tb||"symbol"===typeof Tb||c.onLoad||c.onError||3===f.insertionMode||f.tagScope&1||null!=c.itemProp)var Jc=Ib(a,c);else{var pb=c.src;if("module"===c.type){var qb=d.moduleScriptResources;var Kc=e.preloads.moduleScripts}else qb=
d.scriptResources,Kc=e.preloads.scripts;var rb=qb.hasOwnProperty(pb)?qb[pb]:void 0;if(null!==rb){qb[pb]=null;var Ub=c;if(rb){2===rb.length&&(Ub=r({},c),Fb(Ub,rb));var Lc=Kc.get(pb);Lc&&(Lc.length=0)}var Mc=[];e.scripts.add(Mc);Ib(Mc,Ub)}g&&a.push("\x3c!-- --\x3e");Jc=null}return Jc;case "style":var sb=c.precedence,qa=c.href;if(3===f.insertionMode||f.tagScope&1||null!=c.itemProp||"string"!==typeof sb||"string"!==typeof qa||""===qa){a.push(K("style"));var Ca=null,Nc=null,Va;for(Va in c)if(u.call(c,
Va)){var tb=c[Va];if(null!=tb)switch(Va){case "children":Ca=tb;break;case "dangerouslySetInnerHTML":Nc=tb;break;default:E(a,Va,tb)}}a.push(">");var Wa=Array.isArray(Ca)?2>Ca.length?Ca[0]:null:Ca;"function"!==typeof Wa&&"symbol"!==typeof Wa&&null!==Wa&&void 0!==Wa&&a.push(v(""+Wa));F(a,Nc,Ca);a.push("</","style",">");var Oc=null}else{var ra=e.styles.get(sb);if(null!==(d.styleResources.hasOwnProperty(qa)?d.styleResources[qa]:void 0)){d.styleResources[qa]=null;ra?ra.hrefs.push(v(qa)):(ra={precedence:v(sb),
rules:[],hrefs:[v(qa)],sheets:new Map},e.styles.set(sb,ra));var Pc=ra.rules,Da=null,Qc=null,ub;for(ub in c)if(u.call(c,ub)){var Vb=c[ub];if(null!=Vb)switch(ub){case "children":Da=Vb;break;case "dangerouslySetInnerHTML":Qc=Vb}}var Xa=Array.isArray(Da)?2>Da.length?Da[0]:null:Da;"function"!==typeof Xa&&"symbol"!==typeof Xa&&null!==Xa&&void 0!==Xa&&Pc.push(v(""+Xa));F(Pc,Qc,Da)}ra&&e.boundaryResources&&e.boundaryResources.styles.add(ra);g&&a.push("\x3c!-- --\x3e");Oc=void 0}return Oc;case "meta":if(3===
f.insertionMode||f.tagScope&1||null!=c.itemProp)var Rc=Gb(a,c,"meta");else g&&a.push("\x3c!-- --\x3e"),Rc="string"===typeof c.charSet?Gb(e.charsetChunks,c,"meta"):"viewport"===c.name?Gb(e.preconnectChunks,c,"meta"):Gb(e.hoistableChunks,c,"meta");return Rc;case "listing":case "pre":a.push(K(b));var Ya=null,Za=null,$a;for($a in c)if(u.call(c,$a)){var vb=c[$a];if(null!=vb)switch($a){case "children":Ya=vb;break;case "dangerouslySetInnerHTML":Za=vb;break;default:E(a,$a,vb)}}a.push(">");if(null!=Za){if(null!=
Ya)throw Error("Can only set one of `children` or `props.dangerouslySetInnerHTML`.");if("object"!==typeof Za||!("__html"in Za))throw Error("`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. Please visit https://reactjs.org/link/dangerously-set-inner-html for more information.");var sa=Za.__html;null!==sa&&void 0!==sa&&("string"===typeof sa&&0<sa.length&&"\n"===sa[0]?a.push("\n",sa):a.push(""+sa))}"string"===typeof Ya&&"\n"===Ya[0]&&a.push("\n");return Ya;case "img":var M=c.src,
C=c.srcSet;if(!("lazy"===c.loading||!M&&!C||"string"!==typeof M&&null!=M||"string"!==typeof C&&null!=C)&&"low"!==c.fetchPriority&&!1===!!(f.tagScope&2)&&("string"!==typeof M||":"!==M[4]||"d"!==M[0]&&"D"!==M[0]||"a"!==M[1]&&"A"!==M[1]||"t"!==M[2]&&"T"!==M[2]||"a"!==M[3]&&"A"!==M[3])&&("string"!==typeof C||":"!==C[4]||"d"!==C[0]&&"D"!==C[0]||"a"!==C[1]&&"A"!==C[1]||"t"!==C[2]&&"T"!==C[2]||"a"!==C[3]&&"A"!==C[3])){var Sc="string"===typeof c.sizes?c.sizes:void 0,ab=C?C+"\n"+(Sc||""):M,Wb=e.preloads.images,
ta=Wb.get(ab);if(ta){if("high"===c.fetchPriority||10>e.highImagePreloads.size)Wb.delete(ab),e.highImagePreloads.add(ta)}else d.imageResources.hasOwnProperty(ab)||(d.imageResources[ab]=ib,ta=[],J(ta,{rel:"preload",as:"image",href:C?void 0:M,imageSrcSet:C,imageSizes:Sc,crossOrigin:c.crossOrigin,integrity:c.integrity,type:c.type,fetchPriority:c.fetchPriority,referrerPolicy:c.referrerPolicy}),"high"===c.fetchPriority||10>e.highImagePreloads.size?e.highImagePreloads.add(ta):(e.bulkPreloads.add(ta),Wb.set(ab,
ta)))}return Gb(a,c,"img");case "base":case "area":case "br":case "col":case "embed":case "hr":case "keygen":case "param":case "source":case "track":case "wbr":return Gb(a,c,b);case "annotation-xml":case "color-profile":case "font-face":case "font-face-src":case "font-face-uri":case "font-face-format":case "font-face-name":case "missing-glyph":break;case "head":if(2>f.insertionMode&&null===e.headChunks){e.headChunks=[];var Tc=Jb(e.headChunks,c,"head")}else Tc=Jb(a,c,"head");return Tc;case "html":if(0===
f.insertionMode&&null===e.htmlChunks){e.htmlChunks=[""];var Uc=Jb(e.htmlChunks,c,"html")}else Uc=Jb(a,c,"html");return Uc;default:if(-1!==b.indexOf("-")){a.push(K(b));var Xb=null,Vc=null,Ea;for(Ea in c)if(u.call(c,Ea)){var ua=c[Ea];if(null!=ua){var je=Ea;switch(Ea){case "children":Xb=ua;break;case "dangerouslySetInnerHTML":Vc=ua;break;case "style":wb(a,ua);break;case "suppressContentEditableWarning":case "suppressHydrationWarning":break;default:va(Ea)&&"function"!==typeof ua&&"symbol"!==typeof ua&&
a.push(" ",je,'="',v(ua),'"')}}}a.push(">");F(a,Vc,Xb);return Xb}}return Jb(a,c,b)}function Nb(a,b){b=b.bootstrapChunks;for(var c=0;c<b.length-1;c++)a.push(b[c]);return c<b.length?(c=b[c],b.length=0,a.push(c)):!0}function Ob(a,b,c){a.push('\x3c!--$?--\x3e<template id="');if(null===c)throw Error("An ID must have been assigned before we can complete the boundary.");a.push(b.boundaryPrefix);b=c.toString(16);a.push(b);return a.push('"></template>')}
function Pb(a,b,c,d){switch(c.insertionMode){case 0:case 1:case 2:return a.push('<div hidden id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 3:return a.push('<svg aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 4:return a.push('<math aria-hidden="true" style="display:none" id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 5:return a.push('<table hidden id="'),a.push(b.segmentPrefix),
b=d.toString(16),a.push(b),a.push('">');case 6:return a.push('<table hidden><tbody id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 7:return a.push('<table hidden><tr id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');case 8:return a.push('<table hidden><colgroup id="'),a.push(b.segmentPrefix),b=d.toString(16),a.push(b),a.push('">');default:throw Error("Unknown insertion mode. This is a bug in React.");}}
function Qb(a,b){switch(b.insertionMode){case 0:case 1:case 2:return a.push("</div>");case 3:return a.push("</svg>");case 4:return a.push("</math>");case 5:return a.push("</table>");case 6:return a.push("</tbody></table>");case 7:return a.push("</tr></table>");case 8:return a.push("</colgroup></table>");default:throw Error("Unknown insertion mode. This is a bug in React.");}}var Yb=/[<\u2028\u2029]/g;
function Zb(a){return JSON.stringify(a).replace(Yb,function(b){switch(b){case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var $b=/[&><\u2028\u2029]/g;
function ac(a){return JSON.stringify(a).replace($b,function(b){switch(b){case "&":return"\\u0026";case ">":return"\\u003e";case "<":return"\\u003c";case "\u2028":return"\\u2028";case "\u2029":return"\\u2029";default:throw Error("escapeJSObjectForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React");}})}var bc=!1,cc=!0;
function dc(a){var b=a.rules,c=a.hrefs,d=0;if(c.length){this.push('<style media="not all" data-precedence="');this.push(a.precedence);for(this.push('" data-href="');d<c.length-1;d++)this.push(c[d]),this.push(" ");this.push(c[d]);this.push('">');for(d=0;d<b.length;d++)this.push(b[d]);cc=this.push("</style>");bc=!0;b.length=0;c.length=0}}function ec(a){return 2!==a.state?bc=!0:!1}function fc(a,b,c){bc=!1;cc=!0;b.styles.forEach(dc,a);b.stylesheets.forEach(ec);bc&&(c.stylesToHoist=!0);return cc}
function L(a){for(var b=0;b<a.length;b++)this.push(a[b]);a.length=0}var gc=[];function hc(a){J(gc,a.props);for(var b=0;b<gc.length;b++)this.push(gc[b]);gc.length=0;a.state=2}
function ic(a){var b=0<a.sheets.size;a.sheets.forEach(hc,this);a.sheets.clear();var c=a.rules,d=a.hrefs;if(!b||d.length){this.push('<style data-precedence="');this.push(a.precedence);a=0;if(d.length){for(this.push('" data-href="');a<d.length-1;a++)this.push(d[a]),this.push(" ");this.push(d[a])}this.push('">');for(a=0;a<c.length;a++)this.push(c[a]);this.push("</style>");c.length=0;d.length=0}}
function jc(a){if(0===a.state){a.state=1;var b=a.props;J(gc,{rel:"preload",as:"style",href:a.props.href,crossOrigin:b.crossOrigin,fetchPriority:b.fetchPriority,integrity:b.integrity,media:b.media,hrefLang:b.hrefLang,referrerPolicy:b.referrerPolicy});for(a=0;a<gc.length;a++)this.push(gc[a]);gc.length=0}}function kc(a){a.sheets.forEach(jc,this);a.sheets.clear()}
function lc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=ac(""+d.props.href),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=ac(""+d.props.href);a.push(g);e=""+e;a.push(",");e=ac(e);a.push(e);for(var h in f)if(u.call(f,h)&&(g=f[h],null!=g))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:a:{e=a;var k=h.toLowerCase();switch(typeof g){case "function":case "symbol":break a}switch(h){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":break a;case "className":k="class";g=""+g;break;case "hidden":if(!1===g)break a;g="";break;case "src":case "href":g=""+g;break;default:if(2<h.length&&("o"===h[0]||"O"===h[0])&&("n"===h[1]||"N"===h[1])||!va(h))break a;g=""+g}e.push(",");k=ac(k);e.push(k);e.push(",");g=
ac(g);e.push(g)}}a.push("]");c=",[";d.state=3}});a.push("]")}
function mc(a,b){a.push("[");var c="[";b.stylesheets.forEach(function(d){if(2!==d.state)if(3===d.state)a.push(c),d=v(JSON.stringify(""+d.props.href)),a.push(d),a.push("]"),c=",[";else{a.push(c);var e=d.props["data-precedence"],f=d.props,g=v(JSON.stringify(""+d.props.href));a.push(g);e=""+e;a.push(",");e=v(JSON.stringify(e));a.push(e);for(var h in f)if(u.call(f,h)&&(g=f[h],null!=g))switch(h){case "href":case "rel":case "precedence":case "data-precedence":break;case "children":case "dangerouslySetInnerHTML":throw Error("link is a self-closing tag and must neither have `children` nor use `dangerouslySetInnerHTML`.");
default:a:{e=a;var k=h.toLowerCase();switch(typeof g){case "function":case "symbol":break a}switch(h){case "innerHTML":case "dangerouslySetInnerHTML":case "suppressContentEditableWarning":case "suppressHydrationWarning":case "style":break a;case "className":k="class";g=""+g;break;case "hidden":if(!1===g)break a;g="";break;case "src":case "href":g=""+g;break;default:if(2<h.length&&("o"===h[0]||"O"===h[0])&&("n"===h[1]||"N"===h[1])||!va(h))break a;g=""+g}e.push(",");k=v(JSON.stringify(k));e.push(k);
e.push(",");g=v(JSON.stringify(g));e.push(g)}}a.push("]");c=",[";d.state=3}});a.push("]")}function Ka(a){var b=N?N:null;if(b){var c=b.resumableState,d=b.renderState;if("string"===typeof a&&a){if(!c.dnsResources.hasOwnProperty(a)){var e=[];c.dnsResources[a]=null;J(e,{href:a,rel:"dns-prefetch"});d.preconnects.add(e)}nc(b)}}}
function bb(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if("string"===typeof a&&a){d="use-credentials"===b?d.connectResources.credentials:"string"===typeof b?d.connectResources.anonymous:d.connectResources.default;if(!d.hasOwnProperty(a)){var f=[];d[a]=null;J(f,{rel:"preconnect",href:a,crossOrigin:b});e.preconnects.add(f)}nc(c)}}}
function cb(a,b,c){var d=N?N:null;if(d){var e=d.resumableState,f=d.renderState;if(b&&a){switch(b){case "image":if(c){var g=c.imageSrcSet;var h=c.imageSizes;var k=c.fetchPriority}h=g?g+"\n"+(h||""):a;if(e.imageResources.hasOwnProperty(h))return;e.imageResources[h]=ib;e=[];J(e,r({rel:"preload",href:g?void 0:a,as:b},c));"high"===k?f.highImagePreloads.add(e):(f.bulkPreloads.add(e),f.preloads.images.set(h,e));break;case "style":if(e.styleResources.hasOwnProperty(a))return;g=[];J(g,r({rel:"preload",href:a,
as:b},c));e.styleResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?ib:[c.crossOrigin,c.integrity];f.preloads.stylesheets.set(a,g);f.bulkPreloads.add(g);break;case "script":if(e.scriptResources.hasOwnProperty(a))return;g=[];f.preloads.scripts.set(a,g);f.bulkPreloads.add(g);J(g,r({rel:"preload",href:a,as:b},c));e.scriptResources[a]=!c||"string"!==typeof c.crossOrigin&&"string"!==typeof c.integrity?ib:[c.crossOrigin,c.integrity];break;default:if(e.unknownResources.hasOwnProperty(b)){if(g=
e.unknownResources[b],g.hasOwnProperty(a))return}else g={},e.unknownResources[b]=g;e=[];c=r({rel:"preload",href:a,as:b},c);switch(b){case "font":f.fontPreloads.add(e);break;default:f.bulkPreloads.add(e)}J(e,c);g[a]=ib}nc(d)}}}
function db(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=b&&"string"===typeof b.as?b.as:"script";switch(f){case "script":if(d.moduleScriptResources.hasOwnProperty(a))return;f=[];d.moduleScriptResources[a]=!b||"string"!==typeof b.crossOrigin&&"string"!==typeof b.integrity?ib:[b.crossOrigin,b.integrity];e.preloads.moduleScripts.set(a,f);break;default:if(d.moduleUnknownResources.hasOwnProperty(f)){var g=d.unknownResources[f];if(g.hasOwnProperty(a))return}else g={},d.moduleUnknownResources[f]=
g;f=[];g[a]=ib}J(f,r({rel:"modulepreload",href:a},b));e.bulkPreloads.add(f);nc(c)}}}
function eb(a,b,c){var d=N?N:null;if(d){var e=d.resumableState,f=d.renderState;if(a){b=b||"default";var g=f.styles.get(b),h=e.styleResources.hasOwnProperty(a)?e.styleResources[a]:void 0;null!==h&&(e.styleResources[a]=null,g||(g={precedence:v(b),rules:[],hrefs:[],sheets:new Map},f.styles.set(b,g)),b={state:0,props:r({rel:"stylesheet",href:a,"data-precedence":b},c)},h&&(2===h.length&&Fb(b.props,h),(f=f.preloads.stylesheets.get(a))&&0<f.length?f.length=0:b.state=1),g.sheets.set(a,b),nc(d))}}}
function fb(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.scriptResources.hasOwnProperty(a)?d.scriptResources[a]:void 0;null!==f&&(d.scriptResources[a]=null,b=r({src:a,async:!0},b),f&&(2===f.length&&Fb(b,f),a=e.preloads.scripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Ib(a,b),nc(c))}}}
function gb(a,b){var c=N?N:null;if(c){var d=c.resumableState,e=c.renderState;if(a){var f=d.moduleScriptResources.hasOwnProperty(a)?d.moduleScriptResources[a]:void 0;null!==f&&(d.moduleScriptResources[a]=null,b=r({src:a,type:"module",async:!0},b),f&&(2===f.length&&Fb(b,f),a=e.preloads.moduleScripts.get(a))&&(a.length=0),a=[],e.scripts.add(a),Ib(a,b),nc(c))}}}function Fb(a,b){null==a.crossOrigin&&(a.crossOrigin=b[0]);null==a.integrity&&(a.integrity=b[1])}function oc(a){this.styles.add(a)}
function pc(a){this.stylesheets.add(a)}
function qc(a,b){var c=a.idPrefix;a=c+"P:";var d=c+"S:";c+="B:";var e="<script>",f=null,g=null,h=null,k=[],l=[],p=[],q=[],m=[],A=[],y=new Set,P=new Set,t=new Set,n=new Map,x=new Set,T=new Set,B=new Set,G={images:new Map,stylesheets:new Map,scripts:new Map,moduleScripts:new Map};return{placeholderPrefix:a,segmentPrefix:d,boundaryPrefix:c,startInlineScript:e,htmlChunks:f,headChunks:g,externalRuntimeScript:h,bootstrapChunks:k,charsetChunks:l,preconnectChunks:p,importMapChunks:q,preloadChunks:m,hoistableChunks:A,
preconnects:y,fontPreloads:P,highImagePreloads:t,styles:n,bootstrapScripts:x,scripts:T,bulkPreloads:B,preloads:G,boundaryResources:null,stylesToHoist:!1,generateStaticMarkup:b}}function rc(a,b,c,d){if(c.generateStaticMarkup)return a.push(v(b)),!1;""===b?a=d:(d&&a.push("\x3c!-- --\x3e"),a.push(v(b)),a=!0);return a}
var sc=Symbol.for("react.element"),tc=Symbol.for("react.portal"),uc=Symbol.for("react.fragment"),vc=Symbol.for("react.strict_mode"),wc=Symbol.for("react.profiler"),xc=Symbol.for("react.provider"),yc=Symbol.for("react.context"),zc=Symbol.for("react.server_context"),Ac=Symbol.for("react.forward_ref"),Bc=Symbol.for("react.suspense"),Wc=Symbol.for("react.suspense_list"),Xc=Symbol.for("react.memo"),Yc=Symbol.for("react.lazy"),Zc=Symbol.for("react.scope"),$c=Symbol.for("react.debug_trace_mode"),ad=Symbol.for("react.offscreen"),
bd=Symbol.for("react.legacy_hidden"),cd=Symbol.for("react.cache"),dd=Symbol.for("react.default_value"),ed=Symbol.iterator;
function fd(a){if(null==a)return null;if("function"===typeof a)return a.displayName||a.name||null;if("string"===typeof a)return a;switch(a){case uc:return"Fragment";case tc:return"Portal";case wc:return"Profiler";case vc:return"StrictMode";case Bc:return"Suspense";case Wc:return"SuspenseList";case cd:return"Cache"}if("object"===typeof a)switch(a.$$typeof){case yc:return(a.displayName||"Context")+".Consumer";case xc:return(a._context.displayName||"Context")+".Provider";case Ac:var b=a.render;a=a.displayName;
a||(a=b.displayName||b.name||"",a=""!==a?"ForwardRef("+a+")":"ForwardRef");return a;case Xc:return b=a.displayName||null,null!==b?b:fd(a.type)||"Memo";case Yc:b=a._payload;a=a._init;try{return fd(a(b))}catch(c){}}return null}var gd={};function hd(a,b){a=a.contextTypes;if(!a)return gd;var c={},d;for(d in a)c[d]=b[d];return c}var id=null;
function jd(a,b){if(a!==b){a.context._currentValue2=a.parentValue;a=a.parent;var c=b.parent;if(null===a){if(null!==c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");}else{if(null===c)throw Error("The stacks must reach the root at the same time. This is a bug in React.");jd(a,c)}b.context._currentValue2=b.value}}function kd(a){a.context._currentValue2=a.parentValue;a=a.parent;null!==a&&kd(a)}
function ld(a){var b=a.parent;null!==b&&ld(b);a.context._currentValue2=a.value}function md(a,b){a.context._currentValue2=a.parentValue;a=a.parent;if(null===a)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===b.depth?jd(a,b):md(a,b)}
function nd(a,b){var c=b.parent;if(null===c)throw Error("The depth must equal at least at zero before reaching the root. This is a bug in React.");a.depth===c.depth?jd(a,c):nd(a,c);b.context._currentValue2=b.value}function od(a){var b=id;b!==a&&(null===b?ld(a):null===a?kd(b):b.depth===a.depth?jd(b,a):b.depth>a.depth?md(b,a):nd(b,a),id=a)}
var pd={isMounted:function(){return!1},enqueueSetState:function(a,b){a=a._reactInternals;null!==a.queue&&a.queue.push(b)},enqueueReplaceState:function(a,b){a=a._reactInternals;a.replace=!0;a.queue=[b]},enqueueForceUpdate:function(){}};
function qd(a,b,c,d){var e=void 0!==a.state?a.state:null;a.updater=pd;a.props=c;a.state=e;var f={queue:[],replace:!1};a._reactInternals=f;var g=b.contextType;a.context="object"===typeof g&&null!==g?g._currentValue2:d;g=b.getDerivedStateFromProps;"function"===typeof g&&(g=g(c,e),e=null===g||void 0===g?e:r({},e,g),a.state=e);if("function"!==typeof b.getDerivedStateFromProps&&"function"!==typeof a.getSnapshotBeforeUpdate&&("function"===typeof a.UNSAFE_componentWillMount||"function"===typeof a.componentWillMount))if(b=
a.state,"function"===typeof a.componentWillMount&&a.componentWillMount(),"function"===typeof a.UNSAFE_componentWillMount&&a.UNSAFE_componentWillMount(),b!==a.state&&pd.enqueueReplaceState(a,a.state,null),null!==f.queue&&0<f.queue.length)if(b=f.queue,g=f.replace,f.queue=null,f.replace=!1,g&&1===b.length)a.state=b[0];else{f=g?b[0]:a.state;e=!0;for(g=g?1:0;g<b.length;g++){var h=b[g];h="function"===typeof h?h.call(a,f,c,d):h;null!=h&&(e?(e=!1,f=r({},f,h)):r(f,h))}a.state=f}else f.queue=null}
var rd={id:1,overflow:""};function sd(a,b,c){var d=a.id;a=a.overflow;var e=32-td(d)-1;d&=~(1<<e);c+=1;var f=32-td(b)+e;if(30<f){var g=e-e%5;f=(d&(1<<g)-1).toString(32);d>>=g;e-=g;return{id:1<<32-td(b)+e|c<<e|d,overflow:f+a}}return{id:1<<f|c<<e|d,overflow:a}}var td=Math.clz32?Math.clz32:ud,vd=Math.log,wd=Math.LN2;function ud(a){a>>>=0;return 0===a?32:31-(vd(a)/wd|0)|0}var xd=Error("Suspense Exception: This is not a real error! It's an implementation detail of `use` to interrupt the current render. You must either rethrow it immediately, or move the `use` call outside of the `try/catch` block. Capturing without rethrowing will lead to unexpected behavior.\n\nTo handle async errors, wrap your component in an error boundary, or call the promise's `.catch` method and pass the result to `use`");
function yd(){}function zd(a,b,c){c=a[c];void 0===c?a.push(b):c!==b&&(b.then(yd,yd),b=c);switch(b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;default:if("string"!==typeof b.status)switch(a=b,a.status="pending",a.then(function(d){if("pending"===b.status){var e=b;e.status="fulfilled";e.value=d}},function(d){if("pending"===b.status){var e=b;e.status="rejected";e.reason=d}}),b.status){case "fulfilled":return b.value;case "rejected":throw b.reason;}Ad=b;throw xd;}}var Ad=null;
function Bd(){if(null===Ad)throw Error("Expected a suspended thenable. This is a bug in React. Please file an issue.");var a=Ad;Ad=null;return a}function Cd(a,b){return a===b&&(0!==a||1/a===1/b)||a!==a&&b!==b}var Dd="function"===typeof Object.is?Object.is:Cd,Ed=null,Fd=null,Gd=null,Hd=null,Id=null,S=null,Jd=!1,Kd=!1,Ld=0,Md=0,Nd=-1,Od=0,Pd=null,Qd=null,Rd=0;
function Sd(){if(null===Ed)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component. This could happen for one of the following reasons:\n1. You might have mismatching versions of React and the renderer (such as React DOM)\n2. You might be breaking the Rules of Hooks\n3. You might have more than one copy of React in the same app\nSee https://reactjs.org/link/invalid-hook-call for tips about how to debug and fix this problem.");return Ed}
function Td(){if(0<Rd)throw Error("Rendered more hooks than during the previous render");return{memoizedState:null,queue:null,next:null}}function Ud(){null===S?null===Id?(Jd=!1,Id=S=Td()):(Jd=!0,S=Id):null===S.next?(Jd=!1,S=S.next=Td()):(Jd=!0,S=S.next);return S}function Vd(a,b,c,d){for(;Kd;)Kd=!1,Md=Ld=0,Nd=-1,Od=0,Rd+=1,S=null,c=a(b,d);Wd();return c}function Xd(){var a=Pd;Pd=null;return a}function Wd(){Hd=Gd=Fd=Ed=null;Kd=!1;Id=null;Rd=0;S=Qd=null}
function Yd(a,b){return"function"===typeof b?b(a):b}function Zd(a,b,c){Ed=Sd();S=Ud();if(Jd){var d=S.queue;b=d.dispatch;if(null!==Qd&&(c=Qd.get(d),void 0!==c)){Qd.delete(d);d=S.memoizedState;do d=a(d,c.action),c=c.next;while(null!==c);S.memoizedState=d;return[d,b]}return[S.memoizedState,b]}a=a===Yd?"function"===typeof b?b():b:void 0!==c?c(b):b;S.memoizedState=a;a=S.queue={last:null,dispatch:null};a=a.dispatch=$d.bind(null,Ed,a);return[S.memoizedState,a]}
function ae(a,b){Ed=Sd();S=Ud();b=void 0===b?null:b;if(null!==S){var c=S.memoizedState;if(null!==c&&null!==b){var d=c[1];a:if(null===d)d=!1;else{for(var e=0;e<d.length&&e<b.length;e++)if(!Dd(b[e],d[e])){d=!1;break a}d=!0}if(d)return c[0]}}a=a();S.memoizedState=[a,b];return a}
function $d(a,b,c){if(25<=Rd)throw Error("Too many re-renders. React limits the number of renders to prevent an infinite loop.");if(a===Ed)if(Kd=!0,a={action:c,next:null},null===Qd&&(Qd=new Map),c=Qd.get(b),void 0===c)Qd.set(b,a);else{for(b=c;null!==b.next;)b=b.next;b.next=a}}function be(){throw Error("startTransition cannot be called during server rendering.");}function ce(){throw Error("Cannot update optimistic state while rendering.");}
function de(a){var b=Od;Od+=1;null===Pd&&(Pd=[]);return zd(Pd,a,b)}function ee(){throw Error("Cache cannot be refreshed during server rendering.");}function fe(){}
var he={readContext:function(a){return a._currentValue2},use:function(a){if(null!==a&&"object"===typeof a){if("function"===typeof a.then)return de(a);if(a.$$typeof===yc||a.$$typeof===zc)return a._currentValue2}throw Error("An unsupported type was passed to use(): "+String(a));},useContext:function(a){Sd();return a._currentValue2},useMemo:ae,useReducer:Zd,useRef:function(a){Ed=Sd();S=Ud();var b=S.memoizedState;return null===b?(a={current:a},S.memoizedState=a):b},useState:function(a){return Zd(Yd,a)},
useInsertionEffect:fe,useLayoutEffect:fe,useCallback:function(a,b){return ae(function(){return a},b)},useImperativeHandle:fe,useEffect:fe,useDebugValue:fe,useDeferredValue:function(a){Sd();return a},useTransition:function(){Sd();return[!1,be]},useId:function(){var a=Fd.treeContext;var b=a.overflow;a=a.id;a=(a&~(1<<32-td(a)-1)).toString(32)+b;var c=ge;if(null===c)throw Error("Invalid hook call. Hooks can only be called inside of the body of a function component.");b=Ld++;a=":"+c.idPrefix+"R"+a;0<b&&
(a+="H"+b.toString(32));return a+":"},useSyncExternalStore:function(a,b,c){if(void 0===c)throw Error("Missing getServerSnapshot, which is required for server-rendered content. Will revert to client rendering.");return c()},useCacheRefresh:function(){return ee},useHostTransitionStatus:function(){Sd();return Ia},useOptimistic:function(a){Sd();return[a,ce]},useFormState:function(a,b,c){Sd();var d=Md++,e=Gd;if("function"===typeof a.$$FORM_ACTION){var f=null,g=Hd;e=e.formState;var h=a.$$IS_SIGNATURE_EQUAL;
if(null!==e&&"function"===typeof h){var k=e[1];h.call(a,e[2],e[3])&&(f=void 0!==c?"p"+c:"k"+ha(JSON.stringify([g,null,d]),0),k===f&&(Nd=d,b=e[0]))}var l=a.bind(null,b);a=function(q){l(q)};"function"===typeof l.$$FORM_ACTION&&(a.$$FORM_ACTION=function(q){q=l.$$FORM_ACTION(q);void 0!==c&&(c+="",q.action=c);var m=q.data;m&&(null===f&&(f=void 0!==c?"p"+c:"k"+ha(JSON.stringify([g,null,d]),0)),m.append("$ACTION_KEY",f));return q});return[b,a]}var p=a.bind(null,b);return[b,function(q){p(q)}]}},ge=null,ke=
{getCacheSignal:function(){throw Error("Not implemented.");},getCacheForType:function(){throw Error("Not implemented.");}},le=Ha.ReactCurrentDispatcher,me=Ha.ReactCurrentCache;function ne(a){console.error(a);return null}function oe(){}
function pe(a,b,c,d,e,f,g,h,k,l,p,q){Ja.current=hb;var m=[],A=new Set;b={destination:null,flushScheduled:!1,resumableState:b,renderState:c,rootFormatContext:d,progressiveChunkSize:void 0===e?12800:e,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:A,pingedTasks:m,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],trackedPostpones:null,onError:void 0===f?ne:f,onPostpone:void 0===p?oe:p,onAllReady:void 0===g?
oe:g,onShellReady:void 0===h?oe:h,onShellError:void 0===k?oe:k,onFatalError:void 0===l?oe:l,formState:void 0===q?null:q};c=qe(b,0,null,d,!1,!1);c.parentFlushed=!0;a=re(b,null,a,-1,null,c,A,null,d,gd,null,rd);m.push(a);return b}var N=null;function se(a,b){a.pingedTasks.push(b);1===a.pingedTasks.length&&(a.flushScheduled=null!==a.destination,te(a))}
function ue(a,b){return{status:0,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,completedSegments:[],byteSize:0,fallbackAbortableTasks:b,errorDigest:null,resources:{styles:new Set,stylesheets:new Set},trackedContentKeyPath:null,trackedFallbackNode:null}}
function re(a,b,c,d,e,f,g,h,k,l,p,q){a.allPendingTasks++;null===e?a.pendingRootTasks++:e.pendingTasks++;var m={replay:null,node:c,childIndex:d,ping:function(){return se(a,m)},blockedBoundary:e,blockedSegment:f,abortSet:g,keyPath:h,formatContext:k,legacyContext:l,context:p,treeContext:q,thenableState:b};g.add(m);return m}
function ve(a,b,c,d,e,f,g,h,k,l,p,q){a.allPendingTasks++;null===f?a.pendingRootTasks++:f.pendingTasks++;c.pendingTasks++;var m={replay:c,node:d,childIndex:e,ping:function(){return se(a,m)},blockedBoundary:f,blockedSegment:null,abortSet:g,keyPath:h,formatContext:k,legacyContext:l,context:p,treeContext:q,thenableState:b};g.add(m);return m}function qe(a,b,c,d,e,f){return{status:0,id:-1,index:b,parentFlushed:!1,chunks:[],children:[],parentFormatContext:d,boundary:c,lastPushedText:e,textEmbedded:f}}
function V(a,b){a=a.onError(b);if(null!=a&&"string"!==typeof a)throw Error('onError returned something with a type other than "string". onError should return a string and may return null or undefined but must not return anything else. It received something of type "'+typeof a+'" instead');return a}function we(a,b){var c=a.onShellError;c(b);c=a.onFatalError;c(b);null!==a.destination?(a.status=2,a.destination.destroy(b)):(a.status=1,a.fatalError=b)}
function xe(a,b,c,d,e){var f=d.render(),g=e.childContextTypes;if(null!==g&&void 0!==g){c=b.legacyContext;if("function"!==typeof d.getChildContext)e=c;else{d=d.getChildContext();for(var h in d)if(!(h in g))throw Error((fd(e)||"Unknown")+'.getChildContext(): key "'+h+'" is not defined in childContextTypes.');e=r({},c,d)}b.legacyContext=e;W(a,b,null,f,-1);b.legacyContext=c}else e=b.keyPath,b.keyPath=c,W(a,b,null,f,-1),b.keyPath=e}
function ye(a,b,c,d,e,f,g){var h=!1;if(0!==f&&null!==a.formState){var k=b.blockedSegment;if(null!==k){h=!0;k=k.chunks;for(var l=0;l<f;l++)l===g?k.push("\x3c!--F!--\x3e"):k.push("\x3c!--F--\x3e")}}f=b.keyPath;b.keyPath=c;e?(c=b.treeContext,b.treeContext=sd(c,1,0),ze(a,b,d,-1),b.treeContext=c):h?ze(a,b,d,-1):W(a,b,null,d,-1);b.keyPath=f}function Ae(a,b){if(a&&a.defaultProps){b=r({},b);a=a.defaultProps;for(var c in a)void 0===b[c]&&(b[c]=a[c]);return b}return b}
function Be(a,b,c,d,e,f,g){if("function"===typeof e)if(e.prototype&&e.prototype.isReactComponent){d=hd(e,b.legacyContext);var h=e.contextType;h=new e(f,"object"===typeof h&&null!==h?h._currentValue2:d);qd(h,e,f,d);xe(a,b,c,h,e)}else{h=hd(e,b.legacyContext);Ed={};Fd=b;Gd=a;Hd=c;Md=Ld=0;Nd=-1;Od=0;Pd=d;d=e(f,h);d=Vd(e,f,d,h);g=0!==Ld;var k=Md,l=Nd;"object"===typeof d&&null!==d&&"function"===typeof d.render&&void 0===d.$$typeof?(qd(d,e,f,h),xe(a,b,c,d,e)):ye(a,b,c,d,g,k,l)}else if("string"===typeof e)if(d=
b.blockedSegment,null===d)d=f.children,h=b.formatContext,g=b.keyPath,b.formatContext=lb(h,e,f),b.keyPath=c,ze(a,b,d,-1),b.formatContext=h,b.keyPath=g;else{g=Mb(d.chunks,e,f,a.resumableState,a.renderState,b.formatContext,d.lastPushedText);d.lastPushedText=!1;h=b.formatContext;k=b.keyPath;b.formatContext=lb(h,e,f);b.keyPath=c;ze(a,b,g,-1);b.formatContext=h;b.keyPath=k;a:{b=d.chunks;a=a.resumableState;switch(e){case "title":case "style":case "script":case "area":case "base":case "br":case "col":case "embed":case "hr":case "img":case "input":case "keygen":case "link":case "meta":case "param":case "source":case "track":case "wbr":break a;
case "body":if(1>=h.insertionMode){a.hasBody=!0;break a}break;case "html":if(0===h.insertionMode){a.hasHtml=!0;break a}}b.push("</",e,">")}d.lastPushedText=!1}else{switch(e){case bd:case $c:case vc:case wc:case uc:e=b.keyPath;b.keyPath=c;W(a,b,null,f.children,-1);b.keyPath=e;return;case ad:"hidden"!==f.mode&&(e=b.keyPath,b.keyPath=c,W(a,b,null,f.children,-1),b.keyPath=e);return;case Wc:e=b.keyPath;b.keyPath=c;W(a,b,null,f.children,-1);b.keyPath=e;return;case Zc:throw Error("ReactDOMServer does not yet support scope components.");
case Bc:a:if(null!==b.replay){e=b.keyPath;b.keyPath=c;c=f.children;try{ze(a,b,c,-1)}finally{b.keyPath=e}}else{l=b.keyPath;e=b.blockedBoundary;var p=b.blockedSegment;d=f.fallback;var q=f.children;f=new Set;g=ue(a,f);null!==a.trackedPostpones&&(g.trackedContentKeyPath=c);k=qe(a,p.chunks.length,g,b.formatContext,!1,!1);p.children.push(k);p.lastPushedText=!1;var m=qe(a,0,null,b.formatContext,!1,!1);m.parentFlushed=!0;b.blockedBoundary=g;b.blockedSegment=m;a.renderState.boundaryResources=g.resources;b.keyPath=
c;try{if(ze(a,b,q,-1),a.renderState.generateStaticMarkup||m.lastPushedText&&m.textEmbedded&&m.chunks.push("\x3c!-- --\x3e"),m.status=1,Ce(g,m),0===g.pendingTasks&&0===g.status){g.status=1;break a}}catch(A){m.status=4,g.status=4,h=V(a,A),g.errorDigest=h}finally{a.renderState.boundaryResources=e?e.resources:null,b.blockedBoundary=e,b.blockedSegment=p,b.keyPath=l}h=[c[0],"Suspense Fallback",c[2]];l=a.trackedPostpones;null!==l&&(p=[h[1],h[2],[],null],l.workingMap.set(h,p),5===g.status?l.workingMap.get(c)[4]=
p:g.trackedFallbackNode=p);b=re(a,null,d,-1,e,k,f,h,b.formatContext,b.legacyContext,b.context,b.treeContext);a.pingedTasks.push(b)}return}if("object"===typeof e&&null!==e)switch(e.$$typeof){case Ac:e=e.render;Ed={};Fd=b;Gd=a;Hd=c;Md=Ld=0;Nd=-1;Od=0;Pd=d;d=e(f,g);f=Vd(e,f,d,g);ye(a,b,c,f,0!==Ld,Md,Nd);return;case Xc:e=e.type;f=Ae(e,f);Be(a,b,c,d,e,f,g);return;case xc:h=f.children;d=b.keyPath;e=e._context;f=f.value;g=e._currentValue2;e._currentValue2=f;k=id;id=f={parent:k,depth:null===k?0:k.depth+1,
context:e,parentValue:g,value:f};b.context=f;b.keyPath=c;W(a,b,null,h,-1);a=id;if(null===a)throw Error("Tried to pop a Context at the root of the app. This is a bug in React.");c=a.parentValue;a.context._currentValue2=c===dd?a.context._defaultValue:c;a=id=a.parent;b.context=a;b.keyPath=d;return;case yc:f=f.children;f=f(e._currentValue2);e=b.keyPath;b.keyPath=c;W(a,b,null,f,-1);b.keyPath=e;return;case Yc:h=e._init;e=h(e._payload);f=Ae(e,f);Be(a,b,c,d,e,f,void 0);return}throw Error("Element type is invalid: expected a string (for built-in components) or a class/function (for composite components) but got: "+
((null==e?e:typeof e)+"."));}}function De(a,b,c,d,e){var f=b.replay,g=b.blockedBoundary,h=qe(a,0,null,b.formatContext,!1,!1);h.id=c;h.parentFlushed=!0;try{b.replay=null,b.blockedSegment=h,ze(a,b,d,e),h.status=1,null===g?a.completedRootSegment=h:(Ce(g,h),g.parentFlushed&&a.partialBoundaries.push(g))}finally{b.replay=f,b.blockedSegment=null}}
function W(a,b,c,d,e){if(null!==b.replay&&"number"===typeof b.replay.slots)De(a,b,b.replay.slots,d,e);else{b.node=d;b.childIndex=e;if("object"===typeof d&&null!==d){switch(d.$$typeof){case sc:var f=d.type,g=d.key,h=d.props,k=d.ref,l=fd(f),p=null==g?-1===e?0:e:g;g=[b.keyPath,l,p];if(null!==b.replay)a:{var q=b.replay;e=q.nodes;for(d=0;d<e.length;d++){var m=e[d];if(p===m[1]){if(4===m.length){if(null!==l&&l!==m[0])throw Error("Expected the resume to render <"+m[0]+"> in this slot but instead it rendered <"+
l+">. The tree doesn't match so React will fallback to client rendering.");l=m[2];m=m[3];p=b.node;b.replay={nodes:l,slots:m,pendingTasks:1};try{Be(a,b,g,c,f,h,k);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(x){if("object"===typeof x&&null!==x&&(x===xd||"function"===typeof x.then))throw b.node===p&&(b.replay=q),x;b.replay.pendingTasks--;
g=a;a=b.blockedBoundary;c=x;h=V(g,c);Ee(g,a,l,m,c,h)}b.replay=q}else{if(f!==Bc)throw Error("Expected the resume to render <Suspense> in this slot but instead it rendered <"+(fd(f)||"Unknown")+">. The tree doesn't match so React will fallback to client rendering.");b:{q=void 0;c=m[5];f=m[2];k=m[3];l=null===m[4]?[]:m[4][2];m=null===m[4]?null:m[4][3];p=b.keyPath;var A=b.replay,y=b.blockedBoundary,P=h.children;h=h.fallback;var t=new Set,n=ue(a,t);n.parentFlushed=!0;n.rootSegmentID=c;b.blockedBoundary=
n;b.replay={nodes:f,slots:k,pendingTasks:1};a.renderState.boundaryResources=n.resources;try{ze(a,b,P,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--;if(0===n.pendingTasks&&0===n.status){n.status=1;a.completedBoundaries.push(n);break b}}catch(x){n.status=4,q=V(a,x),n.errorDigest=q,b.replay.pendingTasks--,a.clientRenderedBoundaries.push(n)}finally{a.renderState.boundaryResources=
y?y.resources:null,b.blockedBoundary=y,b.replay=A,b.keyPath=p}b=ve(a,null,{nodes:l,slots:m,pendingTasks:0},h,-1,y,t,[g[0],"Suspense Fallback",g[2]],b.formatContext,b.legacyContext,b.context,b.treeContext);a.pingedTasks.push(b)}}e.splice(d,1);break a}}}else Be(a,b,g,c,f,h,k);return;case tc:throw Error("Portals are not currently supported by the server renderer. Render them conditionally so that they only appear on the client render.");case Yc:h=d._init;d=h(d._payload);W(a,b,null,d,e);return}if(Ga(d)){Fe(a,
b,d,e);return}null===d||"object"!==typeof d?h=null:(h=ed&&d[ed]||d["@@iterator"],h="function"===typeof h?h:null);if(h&&(h=h.call(d))){d=h.next();if(!d.done){g=[];do g.push(d.value),d=h.next();while(!d.done);Fe(a,b,g,e)}return}if("function"===typeof d.then)return W(a,b,null,de(d),e);if(d.$$typeof===yc||d.$$typeof===zc)return W(a,b,null,d._currentValue2,e);e=Object.prototype.toString.call(d);throw Error("Objects are not valid as a React child (found: "+("[object Object]"===e?"object with keys {"+Object.keys(d).join(", ")+
"}":e)+"). If you meant to render a collection of children, use an array instead.");}"string"===typeof d?(e=b.blockedSegment,null!==e&&(e.lastPushedText=rc(e.chunks,d,a.renderState,e.lastPushedText))):"number"===typeof d&&(e=b.blockedSegment,null!==e&&(e.lastPushedText=rc(e.chunks,""+d,a.renderState,e.lastPushedText)))}}
function Fe(a,b,c,d){var e=b.keyPath;if(-1!==d&&(b.keyPath=[b.keyPath,"Fragment",d],null!==b.replay)){for(var f=b.replay,g=f.nodes,h=0;h<g.length;h++){var k=g[h];if(k[1]===d){d=k[2];k=k[3];b.replay={nodes:d,slots:k,pendingTasks:1};try{Fe(a,b,c,-1);if(1===b.replay.pendingTasks&&0<b.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");b.replay.pendingTasks--}catch(q){if("object"===typeof q&&
null!==q&&(q===xd||"function"===typeof q.then))throw q;b.replay.pendingTasks--;c=a;var l=b.blockedBoundary,p=q;a=V(c,p);Ee(c,l,d,k,p,a)}b.replay=f;g.splice(h,1);break}}b.keyPath=e;return}f=b.treeContext;g=c.length;if(null!==b.replay&&(h=b.replay.slots,null!==h&&"object"===typeof h)){for(d=0;d<g;d++)k=c[d],b.treeContext=sd(f,g,d),l=h[d],"number"===typeof l?(De(a,b,l,k,d),delete h[d]):ze(a,b,k,d);b.treeContext=f;b.keyPath=e;return}for(h=0;h<g;h++)d=c[h],b.treeContext=sd(f,g,h),ze(a,b,d,h);b.treeContext=
f;b.keyPath=e}
function ze(a,b,c,d){var e=b.formatContext,f=b.legacyContext,g=b.context,h=b.keyPath,k=b.treeContext,l=b.blockedSegment;if(null===l)try{return W(a,b,null,c,d)}catch(m){if(Wd(),c=m===xd?Bd():m,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=Xd();a=ve(a,d,b.replay,b.node,b.childIndex,b.blockedBoundary,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext).ping;c.then(a,a);b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;od(g);return}}else{var p=
l.children.length,q=l.chunks.length;try{return W(a,b,null,c,d)}catch(m){if(Wd(),l.children.length=p,l.chunks.length=q,c=m===xd?Bd():m,"object"===typeof c&&null!==c&&"function"===typeof c.then){d=Xd();l=b.blockedSegment;p=qe(a,l.chunks.length,null,b.formatContext,l.lastPushedText,!0);l.children.push(p);l.lastPushedText=!1;a=re(a,d,b.node,b.childIndex,b.blockedBoundary,p,b.abortSet,b.keyPath,b.formatContext,b.legacyContext,b.context,b.treeContext).ping;c.then(a,a);b.formatContext=e;b.legacyContext=
f;b.context=g;b.keyPath=h;b.treeContext=k;od(g);return}}}b.formatContext=e;b.legacyContext=f;b.context=g;b.keyPath=h;b.treeContext=k;od(g);throw c;}function Ge(a){var b=a.blockedBoundary;a=a.blockedSegment;null!==a&&(a.status=3,He(this,b,a))}
function Ee(a,b,c,d,e,f){for(var g=0;g<c.length;g++){var h=c[g];if(4===h.length)Ee(a,b,h[2],h[3],e,f);else{h=h[5];var k=a,l=f,p=ue(k,new Set);p.parentFlushed=!0;p.rootSegmentID=h;p.status=4;p.errorDigest=l;p.parentFlushed&&k.clientRenderedBoundaries.push(p)}}c.length=0;if(null!==d){if(null===b)throw Error("We should not have any resumable nodes in the shell. This is a bug in React.");4!==b.status&&(b.status=4,b.errorDigest=f,b.parentFlushed&&a.clientRenderedBoundaries.push(b));if("object"===typeof d)for(var q in d)delete d[q]}}
function Ie(a,b,c){var d=a.blockedBoundary,e=a.blockedSegment;null!==e&&(e.status=3);if(null===d){if(1!==b.status&&2!==b.status){a=a.replay;if(null===a){V(b,c);we(b,c);return}a.pendingTasks--;0===a.pendingTasks&&0<a.nodes.length&&(d=V(b,c),Ee(b,null,a.nodes,a.slots,c,d));b.pendingRootTasks--;0===b.pendingRootTasks&&(b.onShellError=oe,a=b.onShellReady,a())}}else d.pendingTasks--,4!==d.status&&(d.status=4,d.errorDigest=V(b,c),d.parentFlushed&&b.clientRenderedBoundaries.push(d)),d.fallbackAbortableTasks.forEach(function(f){return Ie(f,
b,c)}),d.fallbackAbortableTasks.clear();b.allPendingTasks--;0===b.allPendingTasks&&(a=b.onAllReady,a())}function Ce(a,b){if(0===b.chunks.length&&1===b.children.length&&null===b.children[0].boundary){var c=b.children[0];c.id=b.id;c.parentFlushed=!0;1===c.status&&Ce(a,c)}else a.completedSegments.push(b)}
function He(a,b,c){if(null===b){if(null!==c&&c.parentFlushed){if(null!==a.completedRootSegment)throw Error("There can only be one root segment. This is a bug in React.");a.completedRootSegment=c}a.pendingRootTasks--;0===a.pendingRootTasks&&(a.onShellError=oe,b=a.onShellReady,b())}else b.pendingTasks--,4!==b.status&&(0===b.pendingTasks?(0===b.status&&(b.status=1),null!==c&&c.parentFlushed&&1===c.status&&Ce(b,c),b.parentFlushed&&a.completedBoundaries.push(b),1===b.status&&(b.fallbackAbortableTasks.forEach(Ge,
a),b.fallbackAbortableTasks.clear())):null!==c&&c.parentFlushed&&1===c.status&&(Ce(b,c),1===b.completedSegments.length&&b.parentFlushed&&a.partialBoundaries.push(b)));a.allPendingTasks--;0===a.allPendingTasks&&(a=a.onAllReady,a())}
function te(a){if(2!==a.status){var b=id,c=le.current;le.current=he;var d=me.current;me.current=ke;var e=N;N=a;var f=ge;ge=a.resumableState;try{var g=a.pingedTasks,h;for(h=0;h<g.length;h++){var k=g[h],l=a,p=k.blockedBoundary;l.renderState.boundaryResources=p?p.resources:null;var q=k.blockedSegment;if(null===q){var m=l;if(0!==k.replay.pendingTasks){od(k.context);try{var A=k.thenableState;k.thenableState=null;W(m,k,A,k.node,-1);if(1===k.replay.pendingTasks&&0<k.replay.nodes.length)throw Error("Couldn't find all resumable slots by key/index during replaying. The tree doesn't match so React will fallback to client rendering.");
k.replay.pendingTasks--;k.abortSet.delete(k);He(m,k.blockedBoundary,null)}catch(O){Wd();var y=O===xd?Bd():O;if("object"===typeof y&&null!==y&&"function"===typeof y.then){var P=k.ping;y.then(P,P);k.thenableState=Xd()}else{k.replay.pendingTasks--;k.abortSet.delete(k);l=void 0;var t=m,n=k.blockedBoundary,x=y,T=k.replay.nodes,B=k.replay.slots;l=V(t,x);Ee(t,n,T,B,x,l);m.pendingRootTasks--;if(0===m.pendingRootTasks){m.onShellError=oe;var G=m.onShellReady;G()}m.allPendingTasks--;if(0===m.allPendingTasks){var H=
m.onAllReady;H()}}}finally{m.renderState.boundaryResources=null}}}else if(m=void 0,t=q,0===t.status){od(k.context);var z=t.children.length,X=t.chunks.length;try{var Aa=k.thenableState;k.thenableState=null;W(l,k,Aa,k.node,k.childIndex);l.renderState.generateStaticMarkup||t.lastPushedText&&t.textEmbedded&&t.chunks.push("\x3c!-- --\x3e");k.abortSet.delete(k);t.status=1;He(l,k.blockedBoundary,t)}catch(O){Wd();t.children.length=z;t.chunks.length=X;var Q=O===xd?Bd():O;if("object"===typeof Q&&null!==Q&&
"function"===typeof Q.then){var Y=k.ping;Q.then(Y,Y);k.thenableState=Xd()}else{k.abortSet.delete(k);t.status=4;var I=k.blockedBoundary;m=V(l,Q);null===I?we(l,Q):(I.pendingTasks--,4!==I.status&&(I.status=4,I.errorDigest=m,I.parentFlushed&&l.clientRenderedBoundaries.push(I)));l.allPendingTasks--;if(0===l.allPendingTasks){var U=l.onAllReady;U()}}}finally{l.renderState.boundaryResources=null}}}g.splice(0,h);null!==a.destination&&Je(a,a.destination)}catch(O){V(a,O),we(a,O)}finally{ge=f,le.current=c,me.current=
d,c===he&&od(b),N=e}}}
function Ke(a,b,c){c.parentFlushed=!0;switch(c.status){case 0:c.id=a.nextSegmentId++;case 5:var d=c.id;c.lastPushedText=!1;c.textEmbedded=!1;a=a.renderState;b.push('<template id="');b.push(a.placeholderPrefix);a=d.toString(16);b.push(a);return b.push('"></template>');case 1:c.status=2;var e=!0;d=c.chunks;var f=0;c=c.children;for(var g=0;g<c.length;g++){for(e=c[g];f<e.index;f++)b.push(d[f]);e=Le(a,b,e)}for(;f<d.length-1;f++)b.push(d[f]);f<d.length&&(e=b.push(d[f]));return e;default:throw Error("Aborted, errored or already flushed boundaries should not be flushed again. This is a bug in React.");}}
function Le(a,b,c){var d=c.boundary;if(null===d)return Ke(a,b,c);d.parentFlushed=!0;if(4===d.status)return a.renderState.generateStaticMarkup||(d=d.errorDigest,b.push("\x3c!--$!--\x3e"),b.push("<template"),d&&(b.push(' data-dgst="'),d=v(d),b.push(d),b.push('"')),b.push("></template>")),Ke(a,b,c),a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e"),a;if(1!==d.status)return 0===d.status&&(d.rootSegmentID=a.nextSegmentId++),0<d.completedSegments.length&&a.partialBoundaries.push(d),Ob(b,
a.renderState,d.rootSegmentID),Ke(a,b,c),b.push("\x3c!--/$--\x3e");if(d.byteSize>a.progressiveChunkSize)return d.rootSegmentID=a.nextSegmentId++,a.completedBoundaries.push(d),Ob(b,a.renderState,d.rootSegmentID),Ke(a,b,c),b.push("\x3c!--/$--\x3e");c=d.resources;var e=a.renderState.boundaryResources;e&&(c.styles.forEach(oc,e),c.stylesheets.forEach(pc,e));a.renderState.generateStaticMarkup||b.push("\x3c!--$--\x3e");c=d.completedSegments;if(1!==c.length)throw Error("A previously unvisited boundary must have exactly one root segment. This is a bug in React.");
Le(a,b,c[0]);a=a.renderState.generateStaticMarkup?!0:b.push("\x3c!--/$--\x3e");return a}function Me(a,b,c){Pb(b,a.renderState,c.parentFormatContext,c.id);Le(a,b,c);return Qb(b,c.parentFormatContext)}
function Ne(a,b,c){a.renderState.boundaryResources=c.resources;for(var d=c.completedSegments,e=0;e<d.length;e++)Oe(a,b,c,d[e]);d.length=0;fc(b,c.resources,a.renderState);d=a.resumableState;a=a.renderState;e=c.rootSegmentID;c=c.resources;var f=a.stylesToHoist;a.stylesToHoist=!1;var g=0===d.streamingFormat;g?(b.push(a.startInlineScript),f?0===(d.instructions&2)?(d.instructions|=10,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
0===(d.instructions&8)?(d.instructions|=8,b.push('$RM=new Map;\n$RR=function(r,t,w){for(var u=$RC,n=$RM,p=new Map,q=document,g,b,h=q.querySelectorAll("link[data-precedence],style[data-precedence]"),v=[],k=0;b=h[k++];)"not all"===b.getAttribute("media")?v.push(b):("LINK"===b.tagName&&n.set(b.getAttribute("href"),b),p.set(b.dataset.precedence,g=b));b=0;h=[];var l,a;for(k=!0;;){if(k){var f=w[b++];if(!f){k=!1;b=0;continue}var c=!1,m=0;var d=f[m++];if(a=n.get(d)){var e=a._p;c=!0}else{a=q.createElement("link");a.href=d;a.rel="stylesheet";for(a.dataset.precedence=\nl=f[m++];e=f[m++];)a.setAttribute(e,f[m++]);e=a._p=new Promise(function(x,y){a.onload=x;a.onerror=y});n.set(d,a)}d=a.getAttribute("media");!e||"l"===e.s||d&&!matchMedia(d).matches||h.push(e);if(c)continue}else{a=v[b++];if(!a)break;l=a.getAttribute("data-precedence");a.removeAttribute("media")}c=p.get(l)||g;c===g&&(g=a);p.set(l,a);c?c.parentNode.insertBefore(a,c.nextSibling):(c=q.head,c.insertBefore(a,c.firstChild))}Promise.all(h).then(u.bind(null,r,t,""),u.bind(null,r,t,"Resource failed to load"))};$RR("')):
b.push('$RR("'):0===(d.instructions&2)?(d.instructions|=2,b.push('$RC=function(b,c,e){c=document.getElementById(c);c.parentNode.removeChild(c);var a=document.getElementById(b);if(a){b=a.previousSibling;if(e)b.data="$!",a.setAttribute("data-dgst",e);else{e=b.parentNode;a=b.nextSibling;var f=0;do{if(a&&8===a.nodeType){var d=a.data;if("/$"===d)if(0===f)break;else f--;else"$"!==d&&"$?"!==d&&"$!"!==d||f++}d=a.nextSibling;e.removeChild(a);a=d}while(a);for(;c.firstChild;)e.insertBefore(c.firstChild,a);b.data="$"}b._reactRetry&&b._reactRetry()}};$RC("')):
b.push('$RC("')):f?b.push('<template data-rri="" data-bid="'):b.push('<template data-rci="" data-bid="');d=e.toString(16);b.push(a.boundaryPrefix);b.push(d);g?b.push('","'):b.push('" data-sid="');b.push(a.segmentPrefix);b.push(d);f?g?(b.push('",'),lc(b,c)):(b.push('" data-sty="'),mc(b,c)):g&&b.push('"');d=g?b.push(")\x3c/script>"):b.push('"></template>');return Nb(b,a)&&d}
function Oe(a,b,c,d){if(2===d.status)return!0;var e=d.id;if(-1===e){if(-1===(d.id=c.rootSegmentID))throw Error("A root segment ID must have been assigned by now. This is a bug in React.");return Me(a,b,d)}if(e===c.rootSegmentID)return Me(a,b,d);Me(a,b,d);c=a.resumableState;a=a.renderState;(d=0===c.streamingFormat)?(b.push(a.startInlineScript),0===(c.instructions&1)?(c.instructions|=1,b.push('$RS=function(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')):
b.push('$RS("')):b.push('<template data-rsi="" data-sid="');b.push(a.segmentPrefix);e=e.toString(16);b.push(e);d?b.push('","'):b.push('" data-pid="');b.push(a.placeholderPrefix);b.push(e);b=d?b.push('")\x3c/script>'):b.push('"></template>');return b}
function Je(a,b){try{var c,d=a.completedRootSegment;if(null!==d)if(0===a.pendingRootTasks){var e=a.renderState;if((0!==a.allPendingTasks||null!==a.trackedPostpones)&&e.externalRuntimeScript){var f=e.externalRuntimeScript,g=a.resumableState,h=f.src,k=f.chunks;g.scriptResources.hasOwnProperty(h)||(g.scriptResources[h]=null,e.scripts.add(k))}var l=e.htmlChunks,p=e.headChunks;f=0;if(l){for(f=0;f<l.length;f++)b.push(l[f]);if(p)for(f=0;f<p.length;f++)b.push(p[f]);else{var q=K("head");b.push(q);b.push(">")}}else if(p)for(f=
0;f<p.length;f++)b.push(p[f]);var m=e.charsetChunks;for(f=0;f<m.length;f++)b.push(m[f]);m.length=0;e.preconnects.forEach(L,b);e.preconnects.clear();var A=e.preconnectChunks;for(f=0;f<A.length;f++)b.push(A[f]);A.length=0;e.fontPreloads.forEach(L,b);e.fontPreloads.clear();e.highImagePreloads.forEach(L,b);e.highImagePreloads.clear();e.styles.forEach(ic,b);var y=e.importMapChunks;for(f=0;f<y.length;f++)b.push(y[f]);y.length=0;e.bootstrapScripts.forEach(L,b);e.scripts.forEach(L,b);e.scripts.clear();e.bulkPreloads.forEach(L,
b);e.bulkPreloads.clear();var P=e.preloadChunks;for(f=0;f<P.length;f++)b.push(P[f]);P.length=0;var t=e.hoistableChunks;for(f=0;f<t.length;f++)b.push(t[f]);t.length=0;l&&null===p&&(b.push("</"),b.push("head"),b.push(">"));Le(a,b,d);a.completedRootSegment=null;Nb(b,a.renderState)}else return;var n=a.renderState;d=0;n.preconnects.forEach(L,b);n.preconnects.clear();var x=n.preconnectChunks;for(d=0;d<x.length;d++)b.push(x[d]);x.length=0;n.fontPreloads.forEach(L,b);n.fontPreloads.clear();n.highImagePreloads.forEach(L,
b);n.highImagePreloads.clear();n.styles.forEach(kc,b);n.scripts.forEach(L,b);n.scripts.clear();n.bulkPreloads.forEach(L,b);n.bulkPreloads.clear();var T=n.preloadChunks;for(d=0;d<T.length;d++)b.push(T[d]);T.length=0;var B=n.hoistableChunks;for(d=0;d<B.length;d++)b.push(B[d]);B.length=0;var G=a.clientRenderedBoundaries;for(c=0;c<G.length;c++){var H=G[c];n=b;var z=a.resumableState,X=a.renderState,Aa=H.rootSegmentID,Q=H.errorDigest,Y=H.errorMessage,I=H.errorComponentStack,U=0===z.streamingFormat;U?(n.push(X.startInlineScript),
0===(z.instructions&4)?(z.instructions|=4,n.push('$RX=function(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};;$RX("')):n.push('$RX("')):n.push('<template data-rxi="" data-bid="');n.push(X.boundaryPrefix);var O=Aa.toString(16);n.push(O);U&&n.push('"');if(Q||Y||I)if(U){n.push(",");var La=Zb(Q||"");n.push(La)}else{n.push('" data-dgst="');var Ma=v(Q||"");n.push(Ma)}if(Y||I)if(U){n.push(",");
var Na=Zb(Y||"");n.push(Na)}else{n.push('" data-msg="');var la=v(Y||"");n.push(la)}if(I)if(U){n.push(",");var R=Zb(I);n.push(R)}else{n.push('" data-stck="');var nb=v(I);n.push(nb)}if(U?!n.push(")\x3c/script>"):!n.push('"></template>')){a.destination=null;c++;G.splice(0,c);return}}G.splice(0,c);var Z=a.completedBoundaries;for(c=0;c<Z.length;c++)if(!Ne(a,b,Z[c])){a.destination=null;c++;Z.splice(0,c);return}Z.splice(0,c);var ma=a.partialBoundaries;for(c=0;c<ma.length;c++){var na=ma[c];a:{G=a;H=b;G.renderState.boundaryResources=
na.resources;var oa=na.completedSegments;for(z=0;z<oa.length;z++)if(!Oe(G,H,na,oa[z])){z++;oa.splice(0,z);var Oa=!1;break a}oa.splice(0,z);Oa=fc(H,na.resources,G.renderState)}if(!Oa){a.destination=null;c++;ma.splice(0,c);return}}ma.splice(0,c);var pa=a.completedBoundaries;for(c=0;c<pa.length;c++)if(!Ne(a,b,pa[c])){a.destination=null;c++;pa.splice(0,c);return}pa.splice(0,c)}finally{0===a.allPendingTasks&&0===a.pingedTasks.length&&0===a.clientRenderedBoundaries.length&&0===a.completedBoundaries.length&&
(a.flushScheduled=!1,c=a.resumableState,c.hasBody&&(b.push("</"),b.push("body"),b.push(">")),c.hasHtml&&(b.push("</"),b.push("html"),b.push(">")),b.push(null),a.destination=null)}}function nc(a){if(!1===a.flushScheduled&&0===a.pingedTasks.length&&null!==a.destination){a.flushScheduled=!0;var b=a.destination;b?Je(a,b):a.flushScheduled=!1}}
function Pe(a,b){if(1===a.status)a.status=2,b.destroy(a.fatalError);else if(2!==a.status&&null===a.destination){a.destination=b;try{Je(a,b)}catch(c){V(a,c),we(a,c)}}}function Qe(a,b){try{var c=a.abortableTasks;if(0<c.size){var d=void 0===b?Error("The render was aborted by the server without a reason."):b;c.forEach(function(e){return Ie(e,a,d)});c.clear()}null!==a.destination&&Je(a,a.destination)}catch(e){V(a,e),we(a,e)}}function Re(){}
function Se(a,b,c,d){var e=!1,f=null,g="",h=!1;b=jb(b?b.identifierPrefix:void 0,void 0);a=pe(a,b,qc(b,c),kb(),Infinity,Re,void 0,function(){h=!0},void 0,void 0,void 0);a.flushScheduled=null!==a.destination;te(a);Qe(a,d);Pe(a,{push:function(k){null!==k&&(g+=k);return!0},destroy:function(k){e=!0;f=k}});if(e&&f!==d)throw f;if(!h)throw Error("A component suspended while responding to synchronous input. This will cause the UI to be replaced with a loading indicator. To fix, updates that suspend should be wrapped with startTransition.");
return g}function Te(a,b){a.prototype=Object.create(b.prototype);a.prototype.constructor=a;a.__proto__=b}var Ue=function(a){function b(){var d=a.call(this,{})||this;d.request=null;d.startedFlowing=!1;return d}Te(b,a);var c=b.prototype;c._destroy=function(d,e){Qe(this.request);e(d)};c._read=function(){this.startedFlowing&&Pe(this.request,this)};return b}(da.Readable);function Ve(){}
function We(a,b){var c=new Ue;b=jb(b?b.identifierPrefix:void 0,void 0);var d=pe(a,b,qc(b,!1),kb(),Infinity,Ve,function(){c.startedFlowing=!0;Pe(d,c)},void 0,void 0,void 0);c.request=d;d.flushScheduled=null!==d.destination;te(d);return c}exports.renderToNodeStream=function(a,b){return We(a,b)};exports.renderToStaticMarkup=function(a,b){return Se(a,b,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.renderToStaticNodeStream=function(a,b){return We(a,b)};exports.renderToString=function(a,b){return Se(a,b,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToPipeableStream" which supports Suspense on the server')};
exports.version="18.3.0-canary-d803f519e-20231020";
